forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Upayavira" ...@upaya.co.uk>
Subject Re: Forrest CVS and Cocoon 2.1-M1/Xalan 2.5.0
Date Mon, 19 May 2003 08:23:02 GMT
My first post to Forrest-dev!

On 18 May 2003 at 17:18, Jeff Turner wrote:

> On Sat, May 17, 2003 at 10:22:04PM +0200, Luca Morandini wrote:
> ...
> > I beg to differ, when I substitute Xalan 2.5.0 with Xalan 2.4.1, the
> > Cocoon 2.1M1 samples page utters: <<java.lang.IllegalAccessError:
> > class org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2$AncestorIterator
> > cannot access its superclass
> > org.apache.xml.dtm.ref.DTMDefaultBaseIterators$InternalAxisIteratorB
> > ase>> 	 Hence, it seems Cocoon 2.1M1 and Forrest are incompatible
> > when it comes to Xalan, am I wrong ?
> 
> You're right, I got the same error.  I've gotten Forrest working with
> CVS Cocoon locally, but I'd like to wait for M2 (fairly imminent it
> seems) before doing the actual upgrade.  If you follow the docs in
> etc/cocoon_upgrade/README.txt you can test the update.

As far as I understand, this error is caused by having BOTH versions of Xalan in your 
classpath. Make sure that you only have one. That is the answer I was given to a 
recent question of mine about the same problem on cocoon-dev.

Regards, Upayavira

Mime
View raw message